# to first order only
alpha = (a1p1 + a1m1) / a1

# to third order
def compute_alpha(a1,a1p1,a1m1):
    """Solves the third order polynomial equation for alpha
    """
    # r is the ratio of sidelobe amplitudes to the central amplitude
    r = (a1p1 + a1m1) / a1

    # express the polynomial in decreasing powers of alpha, as expected by np.roots
    poly = [1/(8*r),0,1/r,-1]
    roots = np.roots(poly)

    # some roots have imaginary components, but we only want the real ones.
    real_roots = roots[np.isreal(roots)]

    # real_roots returns an array, even if there's only one item in it. Grab the first one.
    alpha = np.abs(real_roots[0])

    return alpha


# rather than sending all the variables, we can unpack our a_out array
alpha = compute_alpha(*a_out)

alpha_err = alpha * np.sqrt( (a1p1_err/a1p1)**2 + (a1m1_err/a1m1)**2 + (a1_err/a1)**2 )

print(alpha, alpha_err)