# The constants weren't given, but google knows them.
c = 299792458 # m/s
G = 6.67408E-11 # m^3 kg^-1 s^-2
msun = 1.98847E30 # kg
au = 149597870700 # m

# Calculate the binary mass function, f(M), in SI units (i.e. kg)
fm = alpha**3 * (86400/f1)**3 * (1/(porb*86400))**2 * c**3 / (2*np.pi*G)

# Convert this to solar masses
fm_msun = fm/msun

# Calculate the uncertainty, paying attention to exponents
fm_err = fm * np.sqrt( 3*(alpha_err/alpha)**2 + 3*(f1_err/f1)**2 + 2*(porb_err/porb)**2 )
fm_msun_err = fm_err / msun

print(fm_msun,fm_msun_err)